OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
InactivePruneOp< TreeT, TerminationLevel > Class Template Reference

`#include <openvdb/tools/Prune.h>`

## Public Types
using | ValueT = typename TreeT::ValueType
using | RootT = typename TreeT::RootNodeType
using | LeafT = typename TreeT::LeafNodeType

## Public Member Functions
| InactivePruneOp (TreeT &tree)
| InactivePruneOp (TreeT &tree, const ValueT &v)
void | operator() (LeafT &) const
template<typename NodeT >
void | operator() (NodeT &node) const
void | operator() (RootT &root) const

## Member Typedef Documentation

## ◆ LeafT

template<typename TreeT , Index TerminationLevel = 0>

using LeafT = typename TreeT::LeafNodeType

## ◆ RootT

template<typename TreeT , Index TerminationLevel = 0>

using RootT = typename TreeT::RootNodeType

## ◆ ValueT

template<typename TreeT , Index TerminationLevel = 0>

using ValueT = typename TreeT::ValueType

## Constructor & Destructor Documentation

## ◆ InactivePruneOp() [1/2]

template<typename TreeT , Index TerminationLevel = 0>

InactivePruneOp | ( | TreeT & | tree | ) |
| inline

## ◆ InactivePruneOp() [2/2]

template<typename TreeT , Index TerminationLevel = 0>

InactivePruneOp | ( | TreeT & | tree,
|  | const ValueT & | v )
| inline

## Member Function Documentation

## ◆ operator()() [1/3]

template<typename TreeT , Index TerminationLevel = 0>

void operator() | ( | LeafT & |  | ) | const
| inline

## ◆ operator()() [2/3]

template<typename TreeT , Index TerminationLevel = 0>
template<typename NodeT >

void operator() | ( | NodeT & | node | ) | const
| inline

## ◆ operator()() [3/3]

template<typename TreeT , Index TerminationLevel = 0>

void operator() | ( | RootT & | root | ) | const
| inline